Supported operating systems, platforms and capabilities

Applies to:

To sign up for the Defender Vulnerability Management public preview or if you have any questions, contact us (mdvmtrial@microsoft.com).

Already have Microsoft Defender for Endpoint P2? Sign up for a free trial of the Defender Vulnerability Management Add-on.

Before you begin, ensure that you meet the following operating system or platform requisites for vulnerability management so the activities in your devices are properly accounted for.

Note

The supported systems and platforms for vulnerability management may be different from the Minimum requirements for Microsoft Defender for Endpoint list.

Capabilities per supported operating systems (OS) and platforms

In the following table, "Yes" indicates that a vulnerability management capability is supported for the OS or platform on that row.

Supported OS or platform OS vulnerabilities Software product vulnerabilities OS configuration assessment Security controls configuration assessment Software product configuration assessment
Windows 7 Yes Not supported Not supported Not supported Not supported
Windows 8.1 Yes Yes Yes Yes Yes
Windows 10, versions 1607-1703 Yes Not supported Not supported Not supported Not supported
Windows 10, version 1709 or later Yes Yes Yes Yes Yes
Windows 11 Yes Yes Yes Yes Yes
Windows Server 2008 R2 Yes Yes Yes Yes Yes
Windows Server 2012 R2 Yes Yes Yes Yes Yes
Windows Server 2016 Yes Yes Yes Yes Yes
Windows Server 2019 Yes Yes Yes Yes Yes
Windows Server 2022 Yes Yes Yes Yes Yes
macOS 10.14 "Mojave" and above Yes Yes Yes Yes Yes
Red Hat Enterprise Linux 7.2 or higher including matching EUS releases (* See "Important" notice below) Yes Yes Yes Yes Yes
CentOS 7.2 or higher Yes Yes Yes Yes Yes
Ubuntu 16.04 LTS or higher LTS Yes Yes Yes Yes Yes
Oracle Linux 7.2 or higher Yes Yes Yes Yes Yes
SUSE Linux Enterprise Server 12 or higher Yes Yes Yes Yes Yes
Linux Debian 9 or higher Yes Yes Yes Yes Yes
Android 6.0 or higher Yes Yes Not supported Not supported Not supported
iOS 12.0 or higher Yes Not supported Not supported Not supported Not supported

Note

Some features are not available for down-level Operating System, check the Microsoft 365 Defender Portal for more details on supported OS.

Important

* Red Hat Enterprise Linux: "The vulnerability data provided and shown as part of your Microsoft Defender for Endpoint services is made available to you in its raw form, "AS IS", from Red Hat, Inc., and might not be up to date. The data that is accessible in the Red Hat Security Data API is licensed under the Creative Commons Attribution 4.0 International License. You bear the risk in using this data. Microsoft and its third-party suppliers disclaim any and all liability for consequential and other indirect damages and implied warranties, including implied warranties of non-infringement, merchantability and fitness for a particular purpose. © 2020 Red Hat. All rights reserved. © 2020 Microsoft. All rights reserved."